package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PenjadwalanHeaderVO extends BaseTransactionVO {


	@Caption(value = "Tgl Order")
	private Date tglOrder;

	@Caption(value = "Ruangan")
	@ManyToOne
	private RuanganVO ruanganAsal;
	
	@Caption(value = "Ruangan")
	@ManyToOne
	private RuanganVO ruanganTujuan;
	
	@Caption(value = "Registrasi Aset")
	@ManyToOne
	private RegistrasiAsetVO registrasiAset;
	
	@Caption(value = "Keterangan Order")
	private String keteranganOrder;
	
	@OneToMany
	private List<PenjadwalanDetailVO> penjadwalanKerjaDetail = new ArrayList<PenjadwalanDetailVO>();
	

	public Date getTglOrder() {
		return tglOrder;
	}

	public void setTglOrder(Date tglOrder) {
		this.tglOrder = tglOrder;
	}

	public RuanganVO getRuanganAsal() {
		return ruanganAsal;
	}

	public void setRuanganAsal(RuanganVO ruanganAsal) {
		this.ruanganAsal = ruanganAsal;
	}

	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	public RegistrasiAsetVO getRegistrasiAset() {
		return registrasiAset;
	}

	public void setRegistrasiAset(RegistrasiAsetVO registrasiAset) {
		this.registrasiAset = registrasiAset;
	}

	public String getKeteranganOrder() {
		return keteranganOrder;
	}

	public void setKeteranganOrder(String keteranganOrder) {
		this.keteranganOrder = keteranganOrder;
	}

	public List<PenjadwalanDetailVO> getPenjadwalanKerjaDetail() {
		return penjadwalanKerjaDetail;
	}

	public void setPenjadwalanKerjaDetail(List<PenjadwalanDetailVO> penjadwalanKerjaDetail) {
		this.penjadwalanKerjaDetail = penjadwalanKerjaDetail;
	}


	
	
}
